import WebpackDevServer from 'webpack-dev-server';
import { Compiler } from 'webpack';
import { SanitizedStyleguidistConfig } from '../types/StyleGuide';
export declare type ServerInfo = {
    app: WebpackDevServer;
    compiler: Compiler;
};
/**
 * @param {object} config
 * @return {object}
 */
export declare function updateConfig(config: SanitizedStyleguidistConfig): SanitizedStyleguidistConfig;
export declare function commandBuild(config: SanitizedStyleguidistConfig): Compiler;
export declare function commandServer(config: SanitizedStyleguidistConfig, open?: boolean): ServerInfo;
export declare function commandHelp(): void;
/**
 * @param {string} message
 * @param {string} linkTitle
 * @param {string} linkUrl
 */
export declare function printErrorWithLink(message: string, linkTitle: string, linkUrl: string): void;
/**
 * @param {string} header
 * @param {object} object
 */
export declare function verbose(header: string, object: any): void;
